Subject: Re: bug#55371: 29.0.50; lock-up in redisplay_internal

From: Po Lu <[email-masked]>
Date: Thu, 12 May 2022 08:26:21 +0800

Michael Welsh Duggan <[email-masked]> writes:

>     at ../sysdeps/unix/sysv/linux/poll.c:29
>         sc_ret = -516
>         sc_cancel_oldtype = 0
> #1  0x00007ffff362ad02 in  () at /lib/x86_64-linux-gnu/libxcb.so.1
> #2  0x00007ffff362d05a in xcb_wait_for_event ()
>     at /lib/x86_64-linux-gnu/libxcb.so.1
> #3  0x00007ffff79f10a8 in _XReadEvents () at /lib/x86_64-linux-gnu/libX11.so.6
> #4  0x00007ffff79d8214 in XIfEvent () at /lib/x86_64-linux-gnu/libX11.so.6
> #5  0x00007ffff7a211ef in  () at /lib/x86_64-linux-gnu/libX11.so.6
> #6  0x00007ffff7a21ca2 in  () at /lib/x86_64-linux-gnu/libX11.so.6
> #7  0x00007ffff7a21f1d in _XimRead () at /lib/x86_64-linux-gnu/libX11.so.6
> #8  0x00007ffff7a10afb in  () at /lib/x86_64-linux-gnu/libX11.so.6
> #9  0x00007ffff79fe4ad in XSetICValues () at /lib/x86_64-linux-gnu/libX11.so.6

This is suspiciously similar to the last bug you reported, but that was
about random lockups when using GNOME Shell.

Would you please install debuginfo and the source code packages for
Xlib, and show exactly which call `XIfEvent' is causing the lockup?

Thanks.